Page MenuHomePhabricator

Allow ConfirmAccount to be installed via composer and add to packagist.org
Closed, DeclinedPublic

Description

We'd like to use composer on http://intense.wmflabs.org for all extensions where possible; ConfirmAccount has none. Unless Aaron wants to/can create one under his name, it would be nice for the package to be under the "official" https://packagist.org/users/mediawiki/ , given this is among the ten or so most used extensions out there.

Event Timeline

Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added subscribers: Nemo_bis, aaron.
Aklapper triaged this task as Lowest priority.Jan 12 2015, 1:38 PM
Nemo_bis raised the priority of this task from Lowest to Medium.Jan 12 2015, 9:30 PM

Everything is done by volunteers in this component.

Paladox set Security to None.Jan 14 2015, 6:20 PM
gerritbot added a subscriber: gerritbot.

Change 185205 had a related patch set uploaded (by Paladox):
Convert to globals and add composer support

https://gerrit.wikimedia.org/r/185205

Patch-For-Review

@Jdforrester-WMF said:

Composer support is pretty valueless here. This isn't a library for MediaWiki core, it's an extension.

Can you clarify what you mean here? I fail to see how being "a library for MediaWiki core" is relevant for anything. If you know better than the page https://www.mediawiki.org/wiki/Composer/For_extensions , please share your knowledge by updating the wiki page.

Change 185205 abandoned by Jforrester:
Convert to globals and add composer support

https://gerrit.wikimedia.org/r/185205

Jdforrester-WMF closed this task as Declined.Jan 17 2015, 1:38 AM
Jdforrester-WMF claimed this task.
Nemo_bis reopened this task as Open.Jan 17 2015, 1:41 AM

Change 185205 restored by Paladox:
Convert to globals and add composer support

Reason:
No reason for abandoning it.

https://gerrit.wikimedia.org/r/185205

Comments in Gerrit say

Composer support is pretty valueless here. This isn't a library for MediaWiki core, it's an extension.

and

Have you read https://www.mediawiki.org/wiki/Manual:Composer.json_best_practices ?

That's both needs to be replied to and that has not happened yet.

Aklapper removed Jdforrester-WMF as the assignee of this task.Jan 17 2015, 5:31 PM
Aklapper lowered the priority of this task from Medium to Lowest.

..and once someone assigns this task to her/himself, feel free to slightly increase priority.

Nemo_bis raised the priority of this task from Lowest to Medium.Jan 17 2015, 5:52 PM

I'll do this myself, if nobody does. As task description says, I'm giving Aaron some time to confirm he doesn't prefer to publish a package himself.

Should this use the merged extension registration RFC method (extension.json) instead (or in addition, though that seems somewhat duplicative?)

Should this use the merged extension registration RFC method (extension.json) instead (or in addition, though that seems somewhat duplicative?)

How is that related? The page you linked doesn't mention packagist. https://www.mediawiki.org/wiki/Composer/For_extensions#Developer_resources doesn't mention extension.json.

Change 185205 merged by jenkins-bot:
Convert to globals and add composer support

https://gerrit.wikimedia.org/r/185205

Change 185205 merged by jenkins-bot:
Convert to globals and add composer support

https://gerrit.wikimedia.org/r/185205

Reverted as the patch didn't actually work.

Legoktm renamed this task from Add ConfirmAccount to packagist.org for composer users to Allow ConfirmAccount to be installed via composer and add to packagist.org.Feb 11 2015, 5:30 PM
Legoktm removed a project: Patch-For-Review.

Change 190027 had a related patch set uploaded (by Paladox):
Revert "Revert "Convert to globals and add composer support""

https://gerrit.wikimedia.org/r/190027

Patch-For-Review

Should this use the merged extension registration RFC method (extension.json) instead (or in addition, though that seems somewhat duplicative?)

How is that related? The page you linked doesn't mention packagist. https://www.mediawiki.org/wiki/Composer/For_extensions#Developer_resources doesn't mention extension.json.

This was discussed on the Gerrit, but for anyone who didn't see that:

extension.json is not an alternative way to use Composer.

It is (the beginning) of another way to register, manage, and install extensions. See the accepted RFC, https://www.mediawiki.org/wiki/Requests_for_comment/Extension_registration .

Change 190027 merged by jenkins-bot:
Convert to globals and add composer support

https://gerrit.wikimedia.org/r/190027

Paladox closed this task as Resolved.Jul 17 2015, 10:57 AM
Paladox claimed this task.
Paladox removed a project: Patch-For-Review.
Paladox removed a subscriber: gerritbot.
Nemo_bis reopened this task as Open.Jul 19 2015, 12:04 AM

Reverted by @Legoktm https://gerrit.wikimedia.org/r/#/c/225663/
I don't understand who is "we". Why would people be prevented from using gerrit extensions in the way most useful to them? Do we really want to encourage forking and mirroring elsewhere?

Change 225680 had a related patch set uploaded (by Paladox):
Revert "Revert "Convert to globals and add composer support""

https://gerrit.wikimedia.org/r/225680

@Legoktm what was the point in adding composer.json support a year before in mediawiki 1.22 only to stop using it in mediawiki 1.25+.

Umherirrender closed this task as Declined.Jan 1 2017, 8:41 PM
Umherirrender added a subscriber: Umherirrender.

per T467

Change 225680 abandoned by Umherirrender:
Convert to globals and add composer support

Reason:
per T467

https://gerrit.wikimedia.org/r/225680